org.apache.ignite.internal.processors.cache.distributed.dht.topology

## Class PartitionsEvictManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter
  - - org.apache.ignite.internal.processors.cache.distributed.dht.topology.PartitionsEvictManager

All Implemented Interfaces:
  GridCacheSharedManager

    public class PartitionsEvictManager
    extends GridCacheSharedManagerAdapter

Class that serves asynchronous part eviction process. Multiple partition from group can be evicted at the same time.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`cctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`PartitionsEvictManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `evictPartitionAsync(CacheGroupContext grp, GridDhtLocalPartition part)` Adds partition to eviction queue and starts eviction process if permit available.
`void` `onCacheGroupStopped(CacheGroupContext grp)` Stops eviction process for group.
`protected void` `start0()`
`protected void` `stop0(boolean cancel)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`context, isStopping, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, onReconnected, printMemoryStats, start, startInfo, stop, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionsEvictManager

    public PartitionsEvictManager()

### Method Detail

#### onCacheGroupStopped

    public void onCacheGroupStopped(CacheGroupContext grp)

Stops eviction process for group. Method awaits last offered partition eviction.

Parameters:
  `grp` - Group context.

#### evictPartitionAsync

    public void evictPartitionAsync(CacheGroupContext grp,
                                    GridDhtLocalPartition part)

Adds partition to eviction queue and starts eviction process if permit available.

Parameters:
  `grp` - Group context.
  `part` - Partition to evict.

#### start0

    protected void start0()
                   throws IgniteCheckedException

Overrides:
  `start0` in class `GridCacheSharedManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### stop0

    protected void stop0(boolean cancel)

Overrides:
  `stop0` in class `GridCacheSharedManagerAdapter`
Parameters:
  `cancel` - Cancel flag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020